function mockGetBoundingClientRect(rect) {
  const spy = jest.spyOn(Element.prototype, "getBoundingClientRect");
  spy.mockReturnValue(rect);
  return () => spy.mockRestore();
}
function mockRect(vertical) {
  return mockGetBoundingClientRect({
    width: vertical ? 0 : 100,
    height: vertical ? 100 : 0,
    top: vertical ? 0 : 100,
    right: vertical ? 0 : 100,
    left: vertical ? 100 : 0,
    bottom: vertical ? 100 : 0
  });
}
export {
  mockGetBoundingClientRect,
  mockRect
};
